Subject: Re: FIN_WAIT1 / TCP_CORK / 2.2 -- reproducible bug and test case

From: Martin Pool <[email-masked]>
Date: Mon, 30 Sep 2002 19:59:10 +1000

On 26 Sep 2002, "David S. Miller" <[email-masked]> wrote:
>    From: [email-masked]
>    Date: Thu, 26 Sep 2002 17:09:11 +0400 (MSD)
> 
>    I do not understand why tcp_push_pending_frames() was not used
>    there... maybe, there was some reason not to use it.
>    
>    Dave, do you not remember this?

So where does this leave us?  

Was the patch we came up with correct?  It looks reasonable to me, but
I don't know the stack well enough to be sure.  I think it would be
nice if it could be fixed in 2.2.

Let me know if there's anything I can do by way of testing, etc.

-- 
Martin